$(document).ready(function () {
    var animatedSections = [];

    function animateCounters($section) {
        $section.find('.counter').each(function () {
            var $this = $(this);
            var countTo = $this.attr("data-number");

            $({
                countNum: $this.text()
            }).animate({
                countNum: countTo
            }, {
                duration: 850,
                easing: "swing",
                step: function () {
                    $this.text(Math.ceil(this.countNum).toLocaleString("en"));
                },
                complete: function () {
                    $this.text(Math.ceil(this.countNum).toLocaleString("en"));
                }
            });
        });
    }

    $(window).on('scroll', function () {
        $('.counter-section').each(function () {
            var $section = $(this);
            var sectionTop = $section.offset().top - window.innerHeight;

            if ($(window).scrollTop() > sectionTop && !animatedSections.includes($section[0])) {
                animateCounters($section);
                animatedSections.push($section[0]);
            }
        });
    }).scroll(); // Trigger the scroll event to check on page load
});